import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const vehicleApplyList = declareRequest(
  "vehicleApplyLoading",
  `Post > @/primeport/vehicleApply/list`,
);
export const vehicleApplyDelete = declareRequest(
  "vehicleApplyLoading",
  `Delete > @/primeport/vehicleApply/{id}`,
);
export const vehicleApplyInfo = declareRequest(
  "vehicleApplyLoading",
  `Get > /primeport/vehicleApply/{id}`,
);
export const vehicleApplyAdd = declareRequest(
  "vehicleApplyLoading",
  `Post > @/primeport/vehicleApply/save`,
);
export const vehicleApplyUpdate = declareRequest(
  "vehicleApplyLoading",
  `Put > @/primeport/vehicleApply/edit`,
);
export const vehicleApplyCheckLicenceNo = declareRequest(
  "vehicleApplyLoading",
  `Get > /primeport/vehicleApply/check-licence-no`,
);
export const vehicleApplyCheckLicenceNoBlack = declareRequest(
  "vehicleApplyLoading",
  `Get > /primeport/vehicleApply/check-licence-no-black `,
);
export const vehicleApplyRecordsList = declareRequest(
  "vehicleApplyLoading",
  `Post > @/primeport/`,
);
export const inspectDepartmentVehiclesAdd = declareRequest(
  "vehicleApplyLoading",
  `Post > @/primeport/vehicleApply/inspectCarSave`,
);
export const inspectDepartmentVehiclesUpdate = declareRequest(
  "vehicleApplyLoading",
  `Put > @/primeport/vehicleApply/inspectCarEdit`,
);
export const eVehicleArrivalDepartureInfoList
  = declareRequest(
  "vehicleApplyLoading",
  `Post > @/primeport/eVehicleArrivalDepartureInfo/list`,
);
